{% extends 'base.html' %}

{%block script%}
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>




{%endblock script%}


{%block base%}
<div class="wrapper wrapper-content animated fadeInRight">



<div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5>Consulta CNPJ</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                                <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                    <i class="fa fa-wrench"></i>
                                </a>
                                <ul class="dropdown-menu dropdown-user">
                                    <li><a href="#">Config option 1</a>
                                    </li>
                                    <li><a href="#">Config option 2</a>
                                    </li>
                                </ul>
                                <a class="close-link">
                                    <i class="fa fa-times"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <form role="form" class="form-inline">

                                    <div class="form-group"><label class="col-sm-2 control-label">CNPJ</label></br>

                                    <div class="col-sm-10"><input type="text" id="cnpj" class="form-control"></div>
                                </div>

                                    <div class="form-group"><label class="col-sm-2 control-label">Nome</label></br>

                                    <div class="col-sm-10"><input type="text" id="nome" class="form-control"></div>
                                </div>

                                    <div class="form-group"><label class="col-sm-2 control-label">STATUS</label></br>

                                    <div class="col-sm-10"><input type="text" id="situacao" class="form-control"></div>
                                </div>

                                    <div class="form-group"><label class="col-sm-2 control-label">Endereco</label></br>

                                    <div class="col-sm-10"><input type="text" id="logradouro" class="form-control"></div>
                                </div>

                                    <div class="form-group"><label class="col-sm-2 control-label">Numero</label></br>

                                    <div class="col-sm-10"><input type="text" id="numero" class="form-control"></div>
                                </div>



                            </form>
                        </div>
                    </div>
                </div>


</div>
{%endblock base%}


{%block footer%}

<script type="text/javascript">
	$("#cnpj").focusout(function(){
		//Início do Comando AJAX
		$.ajax({
			//O campo URL diz o caminho de onde virá os dados
			url: 'https://www.receitaws.com.br/v1/cnpj/'+$(this).val(),
			//Aqui você deve preencher o tipo de dados que será lido,
			//no caso, estamos lendo JSON.
			dataType: 'json',
			//SUCESS é referente a função que será executada caso
			//ele consiga ler a fonte de dados com sucesso.
			//O parâmetro dentro da função se refere ao nome da variável
			//que você vai dar para ler esse objeto.
			success: function(resposta){
				//Agora basta definir os valores que você deseja preencher
				//automaticamente nos campos acima.
				$("#nome").val(resposta.nome);
				$("#situacao").val(resposta.situacao);
				$("#logradouro").val(resposta.logradouro);
				$("#numero").val(resposta.numero);
				$("#cep").val(resposta.cep);
				//Vamos incluir para que o Número seja focado automaticamente
				//melhorando a experiência do usuário
				$("#numero").focus();
			}
		});
	});
</script>

{%endblock footer%}